<template>
  <div class="slotChildTabs">
    <span></span>
    <span></span>
    <span></span>
    <span></span>
    <div class="tabs-content">
      <ul>
        <li>风险名称：{{ riskSourceBaseInfo.riskname }}</li>
        <li :style="{boxShadow: riskLevel[riskSourceBaseInfo.riskLevel]}">风险级别：{{ riskSourceBaseInfo.riskLevel }}</li>
        <li>风险描述：{{ riskSourceBaseInfo.depiction }}</li>
      </ul>
    </div>
  </div>
</template>

<script>
import mapApi from '@/api/mapApi'

export default {
  name: 'PublicTabs',
  data () {
    return {
      riskSourceBaseInfo: [],
      riskLevel: {
        1: '0 0 10px rgba(246,16,43,.7) inset',
        2: '0 0 10px rgba(244,142,88,.7) inset',
        3: '0 0 10px rgba(253,238,13,.7) inset',
        4: '0 0 10px rgba(38,144,2,.7) inset'
      }
    }
  },
  mounted () {
    this.$nextTick(() => {
      // this.refsDataTabs()
    })
  },
  methods: {
    async refsRiskDataTabs (param) {
      // 此处接口为根据风险源ID获取风险源基本信息（暂时为模拟数据）
      const result = await mapApi.getEnvironmentRiskPoint(param)
      this.riskSourceBaseInfo = result[param.riskSourceId][0]
    }
  }
}
</script>

<style scoped lang="less">

.slotChildTabs {
  position: relative;
  margin-bottom: 0.06rem;
  background-color: @background-color;

  .tabs-content {
    font-size: 0.06rem;
    font-weight: normal;
    padding: 0.04rem 0;
    border: 1px solid #396d83;

    ul {
      display: flex;
      align-items: center;
      flex-wrap: wrap;
      padding: 0 .03rem;
      li {
        margin-bottom: 0.04rem;
        min-width: 30%;
        box-shadow: 0 0 10px rgba(129,211,248,.35) inset;
        color: #00fff6;
        border-radius: 0.02rem;
        font-size: 0.08rem;
        line-height: 0.09rem;
        padding: 0.05rem .8%;
      }
      li:nth-child(2){
        margin-left: .03rem;
      }
      li:last-child {
        text-align: left;
        line-height: .12rem;
        margin-bottom: 0;
      }
      .lastli {
        visibility: hidden
      }
    }
  }
}

.slotChildTabs span:nth-child(1) {
  position: absolute;
  left: -1px;
  top: -1px;
  padding: 6px;
  border-style: solid;
  border-color: #02a6b5;
  border-width: 1px 0 0 1px;
}

.slotChildTabs span:nth-child(2) {
  position: absolute;
  right: -1px;
  top: -1px;
  padding: 6px;
  border-style: solid;
  border-color: #02a6b5;
  border-width: 1px 1px 0 0;
}

.slotChildTabs span:nth-child(3) {
  position: absolute;
  right: -1px;
  bottom: -1px;
  padding: 6px;
  border-style: solid;
  border-color: #02a6b5;
  border-width: 0 1px 1px 0;
}

.slotChildTabs span:nth-child(4) {
  position: absolute;
  left: -1px;
  bottom: -1px;
  padding: 6px;
  border-style: solid;
  border-color: #02a6b5;
  border-width: 0 0 1px 1px;
}
</style>
